\begin{lem}\label{13:prime}
  Let $R\neq 0$ be a commutative ring, $I\sse R$ an ideal. Then the following are equivalent:
  \begin{enumerate}
    \item $I$ is a prime ideal.
    \item $R/I$ is an integral domain.
  \end{enumerate}
\end{lem}

\begin{proof}
  i) $\implies$ ii): Let $a+I,b+I\in R/I$ and suppose
  \[
  0=(a+I)(b+I)=(ab)+I.
  \]
  Hence $ab\in I$. As $I$ is prime, $a\in I$ or $b\in I$. But then $a+I=0$ or $b+I=0$.\par
  ii) $\implies$ i): Assume $a,b\in R$ with $ab\in I$. Going over to the quotient, we get
  \[
  0=(ab)+I = (a+I)(b+I).
  \]
  But as $R/I$ is an integral domain, this implies $a+I=0$ or $b+I=0$, and hence $a\in I$ or $b\in I$. So $I$ is a prime ideal.
\end{proof}
\begin{cor}
Let $R\neq 0$ be a commutative ring. Then the following are equivalent:
\begin{enumerate}
  \item $(0)$ is a prime ideal.
  \item $R$ is an integral domain.
\end{enumerate}
\end{cor}
\begin{proof}
  As $(0)$ is an ideal, we can consider the quotient ring $R/(0)\cong R$. But $R/(0)$ is an integral domain if and only if $(0)$ is prime.
\end{proof}
\begin{cor}
  Let $R\neq 0$ be a commutative ring. If $I\sse R$ is a maximal ideal, then $I$ is a prime ideal.
\end{cor}
\begin{proof}
  As $R/I$ is a field, it is in particular an integral domain. So $I$ is a prime ideal.
\end{proof}
\begin{cor}
  Let $0\neq I \sse \zz$ be an ideal. Then the following are equivalent:
  \begin{enumerate}
    \item $I$ is a prime ideal.
    \item $I=(p)$ for a prime number $p$.
  \end{enumerate}
\end{cor}
\begin{proof}
  i) $\implies$ ii): By \cref{12:zprincipal}, $I=(n)$ for a $n\in \nn$. Assume $n=n_1n_2$. Then $(n)\subseteq (n_1)$ and $(n)\subseteq (n_2)$. But this implies $n\divd n_1$ and  $n\divd n_2$, which is not possible.\par
  ii) $\implies$ i): As $(p)$ is a maximal ideal for any prime number $p$ (by \cref{12:zmax}), it is in particular a prime ideal.
\end{proof}
\section{Polynomial Rings}
\coms Ommited\come.
\lec
